<?php

namespace App\Console\Commands\V2;

use App\Classes\Jobs\Commands\V2\DummyJob;
use Illuminate\Console\Command;

class DummyCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'dummy-command';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'A test run at Laravel Vapor for schedule tasks run via dispatch a queued job';


    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }


    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        ini_set('memory_limit', '-1');

        DummyJob::dispatch();
    }
}
